# Program Annotation

A variety of automated and manual actions are provided within the tool to annotate (add information to) the program file. Auto Analysis provides an automated way to disassemble bytes into code, create functions along with references to the stack variables, and create references. You can also manually define functions and references or disassemble code. In addition, you can manually define data in the file, set register values, add labels and comments to a code unit, define a name (equate) to substitute for a scalar value, or bookmark an address.

- Auto Analysis
- Bookmarks
- Comments
- Data
- Disassembly
- Equates
- Functions
- Labels
- References
- Register Context